## sympy 0.5.15

=== doc/Makefile ===
# Makefile for Sphinx documentation
#
RST2HTML     = rst2html

# You can set these variables from the command line.
SPHINXOPTS   =
SPHINXVER    = 0.1.61843
SPHINXBUILDpy  = sphinx/Sphinx-$(SPHINXVER)/sphinx-build.py
SPHINXBUILD  = python $(SPHINXBUILDpy)
PAPER        =

ALLSPHINXOPTS = -d _build/doctrees -D latex_paper_size=$(PAPER) \
                $(SPHINXOPTS) src

ALLSPHINXOPTSapi = -d _build/doctreesapi -D latex_paper_size=$(PAPER) \
                $(SPHINXOPTS) api

.PHONY: help clean html web htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  web       to make files usable by Sphinx.web"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf _build
	-rm -rf sphinx
	-rm -f src/modules/sympy*.txt
	-rm -f api/modules/sympy*.txt

$(SPHINXBUILDpy):
	rm -rf sphinx
	mkdir sphinx
	cd sphinx; wget http://pypi.python.org/packages/source/S/Sphinx/Sphinx-$(SPHINXVER).tar.gz;
	cd sphinx; tar xzf Sphinx-$(SPHINXVER).tar.gz

html: $(SPHINXBUILDpy) spt-printable
	mkdir -p src/.static
	mkdir -p _build/html _build/doctrees
	mkdir -p src/modules
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	cp -r src/pics _build/html/
	cp -r src/figures _build/html/
	cp -r src/spt-patches _build/html/
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

spt-printable:
	mkdir -p _build/html/
	$(RST2HTML) src/sympy-patches-tutorial.txt > _build/html/spt-printable.html

htmlapi: $(SPHINXBUILDpy)
	mkdir -p api/.static
	mkdir -p api/modules
	mkdir -p _build/api _build/doctreesapi
	rm -f api/modules/sympy*.txt
	./generate_reference.py
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTSapi) _build/api
	@echo
	@echo "Build finished. The API docs pages are in _build/api."

web:
	mkdir -p _build/web _build/doctrees
	$(SPHINXBUILD) -b web $(ALLSPHINXOPTS) _build/web
	@echo
	@echo "Build finished; now you can run"
	@echo "  python -m sphinx.web _build/web"
	@echo "to start the server."

htmlhelp:
	mkdir -p _build/htmlhelp _build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

latex: $(SPHINXBUILDpy)
	mkdir -p _build/latex _build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p _build/changes _build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	mkdir -p _build/linkcheck _build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

## sympy 0.6.1

=== doc/Makefile ===
--- 
+++ 
@@ -4,9 +4,9 @@
 
 # You can set these variables from the command line.
 SPHINXOPTS   =
-SPHINXVER    = 0.1.61843
+SPHINXVER    = 0.4.1
 SPHINXBUILDpy  = sphinx/Sphinx-$(SPHINXVER)/sphinx-build.py
-SPHINXBUILD  = python $(SPHINXBUILDpy)
+SPHINXBUILD  = PYTHONPATH=.. python $(SPHINXBUILDpy)
 PAPER        =
 
 ALLSPHINXOPTS = -d _build/doctrees -D latex_paper_size=$(PAPER) \
@@ -29,8 +29,6 @@
 clean:
 	-rm -rf _build
 	-rm -rf sphinx
-	-rm -f src/modules/sympy*.txt
-	-rm -f api/modules/sympy*.txt
 
 $(SPHINXBUILDpy):
 	rm -rf sphinx

## sympy 0.6.3

=== doc/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # You can set these variables from the command line.
 SPHINXOPTS   =
-SPHINXVER    = 0.4.1
+SPHINXVER    = 0.4.3
 SPHINXBUILDpy  = sphinx/Sphinx-$(SPHINXVER)/sphinx-build.py
 SPHINXBUILD  = PYTHONPATH=.. python $(SPHINXBUILDpy)
 PAPER        =

## sympy 0.6.4

=== doc/Makefile ===
--- 
+++ 
@@ -1,12 +1,14 @@
 # Makefile for Sphinx documentation
 #
+PYTHON       = python
 RST2HTML     = rst2html
 
 # You can set these variables from the command line.
 SPHINXOPTS   =
-SPHINXVER    = 0.4.3
-SPHINXBUILDpy  = sphinx/Sphinx-$(SPHINXVER)/sphinx-build.py
-SPHINXBUILD  = PYTHONPATH=.. python $(SPHINXBUILDpy)
+SPHINXVER    = 0.5
+#SPHINXBUILDpy  = sphinx/Sphinx-$(SPHINXVER)/sphinx-build.py
+SPHINXBUILDpy  = sphinx-build
+SPHINXBUILD  = PYTHONPATH=.. $(SPHINXBUILDpy)
 PAPER        =
 
 ALLSPHINXOPTS = -d _build/doctrees -D latex_paper_size=$(PAPER) \
@@ -32,9 +34,9 @@
 
 $(SPHINXBUILDpy):
 	rm -rf sphinx
-	mkdir sphinx
-	cd sphinx; wget http://pypi.python.org/packages/source/S/Sphinx/Sphinx-$(SPHINXVER).tar.gz;
-	cd sphinx; tar xzf Sphinx-$(SPHINXVER).tar.gz
+#	mkdir sphinx
+#	cd sphinx; wget http://pypi.python.org/packages/source/S/Sphinx/Sphinx-$(SPHINXVER).tar.gz;
+#	cd sphinx; tar xzf Sphinx-$(SPHINXVER).tar.gz
 
 html: $(SPHINXBUILDpy) spt-printable
 	mkdir -p src/.static

## sympy 0.6.6

=== doc/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 SPHINXVER    = 0.5
 #SPHINXBUILDpy  = sphinx/Sphinx-$(SPHINXVER)/sphinx-build.py
 SPHINXBUILDpy  = sphinx-build
-SPHINXBUILD  = PYTHONPATH=.. $(SPHINXBUILDpy)
+SPHINXBUILD  = PYTHONPATH=..:$(PYTHONPATH) $(SPHINXBUILDpy)
 PAPER        =
 
 ALLSPHINXOPTS = -d _build/doctrees -D latex_paper_size=$(PAPER) \
@@ -40,7 +40,8 @@
 
 html: $(SPHINXBUILDpy) spt-printable
 	mkdir -p src/.static
-	mkdir -p _build/html _build/doctrees
+	mkdir -p _build/html
+	mkdir -p _build/doctrees
 	mkdir -p src/modules
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
 	cp -r src/pics _build/html/

## sympy 0.7.1.rc1

=== doc/Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 #	cd sphinx; wget http://pypi.python.org/packages/source/S/Sphinx/Sphinx-$(SPHINXVER).tar.gz;
 #	cd sphinx; tar xzf Sphinx-$(SPHINXVER).tar.gz
 
-html: $(SPHINXBUILDpy) spt-printable
+html: $(SPHINXBUILDpy)
 	mkdir -p src/.static
 	mkdir -p _build/html
 	mkdir -p _build/doctrees
@@ -46,13 +46,8 @@
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
 	cp -r src/pics _build/html/
 	cp -r src/figures _build/html/
-	cp -r src/spt-patches _build/html/
 	@echo
 	@echo "Build finished. The HTML pages are in _build/html."
-
-spt-printable:
-	mkdir -p _build/html/
-	$(RST2HTML) src/sympy-patches-tutorial.txt > _build/html/spt-printable.html
 
 htmlapi: $(SPHINXBUILDpy)
 	mkdir -p api/.static

=== debian/changelog ===
sympy (0.7.1.rc1-1) unstable; urgency=low

  * upgraded to the new upstream version. Closes: #606529
  * added recommends: python-numpy Closes: #592566
  * changed debian/rules to use debhelper. Switched to source format 3.0 (quilt)
  * removed a few files which are not well compiled (some mess with a mix
    of python3 and python2.x) from the package
  * modified the versioned dependency on debhelper to allow override_dh targets
  * fixed the file debian/watch which was broken (general googlecode issue)
  * bumped Standards-Version 3.8.4 --> 3.9.2

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 16 Sep 2011 10:51:38 +0200

sympy (0.6.7-1.1) unstable; urgency=low

  * Non-maintainer upload (per Ondrej blessing).
  * Reducing python-all build-depends  to (>=2.5) for the joy of easy porting.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 10 May 2010 22:43:46 -0400

sympy (0.6.7-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version to 3.8.4 (no changes required)
  * debian/rules: no need to delete /usr/bin/test and /usr/bin/doctest anymore
    (fixed upstream)
  * debian/rules: removed the pycentral hack (not applicable anymore)
  * debian/control: use python-all, instead of python-all-dev (fixes a lintian
    warning)

 -- Ondrej Certik <ondrej@certik.cz>  Mon, 29 Mar 2010 15:58:52 -0700

sympy (0.6.6-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version to 3.8.3 (no changes required)
  * debian/rules: delete /usr/bin/test and /usr/bin/doctest, because it
    conflicts with other packages and it is not necessary to have it

 -- Ondrej Certik <ondrej@certik.cz>  Sat, 26 Dec 2009 20:55:10 +0100

sympy (0.6.4-1) unstable; urgency=low

  * New upstream release
  * New debian policy update (no changes needed)
  * XB-Python-Version and XS-Python-Version removed, as they are not needed for
    python-support

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 05 Apr 2009 22:51:18 -0700

sympy (0.6.3-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Ondrej Certik ]
  * New upstream release.

 -- Ondrej Certik <ondrej@certik.cz>  Wed, 19 Nov 2008 23:45:28 +0100

sympy (0.6.2-1) unstable; urgency=low

  * New upstream version

 -- Ondrej Certik <ondrej@certik.cz>  Fri, 22 Aug 2008 12:00:37 +0200

sympy (0.6.1-1) unstable; urgency=low

  * New upstream version
  * standards-version updated to 3.8.0 (no changes needed)

 -- Ondrej Certik <ondrej@certik.cz>  Wed, 23 Jul 2008 11:19:17 +0200

sympy (0.6.0-1) unstable; urgency=low

  * New upstream version

 -- Ondrej Certik <ondrej@certik.cz>  Thu, 10 Jul 2008 12:32:34 +0200

sympy (0.5.15-1) unstable; urgency=low

  * New upstream version

 -- Ondrej Certik <ondrej@certik.cz>  Tue, 03 Jun 2008 09:41:04 +0200

sympy (0.5.14-1) unstable; urgency=low

  * New upstream version
  * Depend on lower python-support version for easier rebuilds.

 -- Ondrej Certik <ondrej@certik.cz>  Mon, 14 Apr 2008 09:24:49 +0200

sympy (0.5.13-1) unstable; urgency=low

  * New upstream version

 -- Ondrej Certik <ondrej@certik.cz>  Thu, 20 Mar 2008 09:42:04 +0100

sympy (0.5.12-1) unstable; urgency=low

  * New upstream version (Closes: #459313)
  * debian/copyright updated
  * README.Debian improved

 -- Ondrej Certik <ondrej@certik.cz>  Mon, 28 Jan 2008 16:49:25 +0100

sympy (0.5.11-1) unstable; urgency=low

  * New upstream version (Closes: #459076)
  * ipython added to recommends (Closes: #459411)
  * libgtkmathview-bin, python-opengl removed from recommends
  * debian/copyright updated
  * menu item is installed for isympy (Closes: #459316)

 -- Ondrej Certik <ondrej@certik.cz>  Tue, 08 Jan 2008 21:19:16 +0100

sympy (0.5.9-1) unstable; urgency=low

  * New upstream version
  * Standards version updated to 3.7.3
  * moved from pycentral to pysupport

 -- Ondrej Certik <ondrej@certik.cz>  Sat, 22 Dec 2007 14:51:21 +0100

sympy (0.5.8-1) unstable; urgency=low

  * New upstream version

 -- Ondrej Certik <ondrej@certik.cz>  Thu, 06 Dec 2007 15:19:01 +0100

sympy (0.5.7-2) unstable; urgency=low

  * DM-Upload-Allowed changed to XS-DM-Upload-Allowed

 -- Ondrej Certik <ondrej@certik.cz>  Tue, 04 Dec 2007 22:30:04 +0100

sympy (0.5.7-1) unstable; urgency=low

  [ Ondrej Certik ]
  * New upstream version

  [ Piotr Ożarowski ]
  * Add DM-Upload-Allowed: yes

 -- Ondrej Certik <ondrej@certik.cz>  Tue, 27 Nov 2007 22:13:07 +0100

sympy (0.5.5-1) unstable; urgency=low

  * New upstream version
  * The long description improved to include the word "manipulation", which
    applies to this package

 -- Ondrej Certik <ondrej@certik.cz>  Sat, 20 Oct 2007 23:49:03 +0200

sympy (0.5.4-1) unstable; urgency=low

  * New upstream release
  * Homepage field added
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)

 -- Ondrej Certik <ondrej@certik.cz>  Sat, 06 Oct 2007 22:33:33 +0200

sympy (0.5.3-1) unstable; urgency=low

  * New upstream release

 -- Ondrej Certik <ondrej@certik.cz>  Fri, 14 Sep 2007 16:54:48 +0200

sympy (0.5.2-1) unstable; urgency=low

  * New upstream release
  * Removing linda override, since it doesn't stop linda from complaining
  * Removing tests from /usr/share/doc/python-sympy/tests (upstream ships them
    inside the site-packages dir, we simply remove them in the Debian package)
  * Not building man page, since upstream ships it by default
  * Removing the dependency on python-libxslt1 and python-libxml2 since the
    upstream no longer depends on them
  * Added python-imaging and python-ctypes to Depends (for pyglet module)

 -- Ondrej Certik <ondrej@certik.cz>  Tue, 21 Aug 2007 18:59:54 -0700

sympy (0.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 08 Jul 2007 03:23:19 +0200

sympy (0.4.1-1) unstable; urgency=low

  * New upstream version.
  * added tests to /usr/share/doc/python-sympy/tests/
  * added SymPy's logo to /usr/share/pixmaps
  * debian/python-sympy.linda-overrides: added


=== debian/control ===
Source: sympy
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ondrej Certik <ondrej@certik.cz>,
 Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 7.0.50~), python-all (>=2.6.6-3), python-setuptools (>= 0.6b3)
X-Python-Version: >=2.5
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/sympy/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/sympy/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/sympy/trunk/
XS-DM-Upload-Allowed: yes

Package: python-sympy
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: python-imaging, python-ctypes, ipython, python-numpy
Description: Computer Algebra System (CAS) in Python
 SymPy is a Python library for symbolic mathematics (manipulation). It aims to
 become a full-featured computer algebra system (CAS) while keeping the code as
 simple as possible in order to be comprehensible and easily extensible. SymPy
 is written entirely in Python and does not require any external libraries,
 except optionally for plotting support.

=== debian/watch ===
version=3
http://googlecode.debian.net/p/sympy/sympy-(.*)\.tar\.gz

## sympy 0.7.2

=== doc/Makefile ===
--- 
+++ 
@@ -11,22 +11,34 @@
 SPHINXBUILD  = PYTHONPATH=..:$(PYTHONPATH) $(SPHINXBUILDpy)
 PAPER        =
 
+SVGFILES = $(wildcard src/modules/physics/mechanics/*.svg)
+PDFFILES = $(SVGFILES:%.svg=%.pdf)
+
 ALLSPHINXOPTS = -d _build/doctrees -D latex_paper_size=$(PAPER) \
                 $(SPHINXOPTS) src
 
 ALLSPHINXOPTSapi = -d _build/doctreesapi -D latex_paper_size=$(PAPER) \
                 $(SPHINXOPTS) api
 
-.PHONY: help clean html web htmlhelp latex changes linkcheck
+LANGUAGES = bg cs de fr pl ru sr
+
+.PHONY: help clean html web htmlhelp latex changes linkcheck cheatsheet
+
+.SUFFIXES: .pdf .svg
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
-	@echo "  html      to make standalone HTML files"
-	@echo "  web       to make files usable by Sphinx.web"
-	@echo "  htmlhelp  to make HTML files and a HTML help project"
-	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
-	@echo "  changes   to make an overview over all changed/added/deprecated items"
-	@echo "  linkcheck to check all external links for integrity"
+	@echo "  html        to make standalone HTML files"
+	@echo "  web         to make files usable by Sphinx.web"
+	@echo "  htmlhelp    to make HTML files and a HTML help project"
+	@echo "  latex       to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
+	@echo "  texinfo     to make Texinfo files"
+	@echo "  info        to make Texinfo files and run them through makeinfo"
+	@echo "  changes     to make an overview over all changed/added/deprecated items"
+	@echo "  linkcheck   to check all external links for integrity"
+	@echo "  cheatsheet  to make the Cheatsheet"
+	@echo "  htmli18n    to make the i18n versions"
+	@echo "  html-errors to make the standalone HTML files, stopping on any errors or warnings"
 
 clean:
 	-rm -rf _build
@@ -49,15 +61,33 @@
 	@echo
 	@echo "Build finished. The HTML pages are in _build/html."
 
+html-errors: SPHINXOPTS += -W
+html-errors: html
+
 htmlapi: $(SPHINXBUILDpy)
 	mkdir -p api/.static
 	mkdir -p api/modules
 	mkdir -p _build/api _build/doctreesapi
-	rm -f api/modules/sympy*.txt
+	rm -f api/modules/sympy*.rst
 	./generate_reference.py
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTSapi) _build/api
 	@echo
 	@echo "Build finished. The API docs pages are in _build/api."
+
+gettext:
+	mkdir -p _build/
+	$(SPHINXBUILD) -b gettext src _build/gettext src/tutorial.rst
+	cp _build/gettext/tutorial.pot src/
+
+htmli18n:
+	mkdir -p _build/i18n/
+	mkdir -p _build/html/
+	for l in $(LANGUAGES); do \
+		mkdir -p src/i18n/$$l/LC_MESSAGES/ ; \
+		msgfmt src/tutorial.$$l.po -o src/i18n/$$l/LC_MESSAGES/tutorial.mo ; \
+		$(SPHINXBUILD) -b html -D language=$$l $(ALLSPHINXOPTS) _build/i18n/$$l src/tutorial.rst ; \
+		cp _build/i18n/$$l/tutorial.html _build/html/tutorial.$$l.html ; \
+	done
 
 web:
 	mkdir -p _build/web _build/doctrees
@@ -74,13 +104,16 @@
 	@echo "Build finished; now you can run HTML Help Workshop with the" \
 	      ".hhp project file in _build/htmlhelp."
 
-latex: $(SPHINXBUILDpy)
+latex: $(SPHINXBUILDpy) $(PDFFILES)
 	mkdir -p _build/latex _build/doctrees
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
+	sed -i "s/pdflatex/xelatex/g" _build/latex/Makefile
 	@echo
 	@echo "Build finished; the LaTeX files are in _build/latex."
-	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
-	      "run these through (pdf)latex."
+	@echo "Run \`make all' in that directory to run these through xelatex."
+
+.svg.pdf:
+	inkscape --file=$< --export-area-drawing --without-gui --export-pdf=$@
 
 changes:
 	mkdir -p _build/changes _build/doctrees
@@ -94,3 +127,23 @@
 	@echo
 	@echo "Link check complete; look for any errors in the above output " \
 	      "or in _build/linkcheck/output.txt."
+
+cheatsheet:
+	mkdir -p _build/cheatsheet
+	pdflatex -output-directory=_build/cheatsheet cheatsheet/cheatsheet.tex
+	pdflatex -output-directory=_build/cheatsheet cheatsheet/cheatsheet.tex
+
+texinfo:
+	mkdir -p _build/texinfo
+	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) _build/texinfo
+	@echo
+	@echo "Build finished. The Texinfo files are in _build/texinfo."
+	@echo "Run \`make' in that directory to run these through makeinfo" \
+	      "(use \`make info' here to do that automatically)."
+
+info:
+	mkdir -p _build/texinfo
+	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) _build/texinfo
+	@echo "Running Texinfo files through makeinfo..."
+	make -C _build/texinfo info
+	@echo "makeinfo finished; the Info files are in _build/texinfo."

=== debian/changelog ===
sympy (0.7.2-1) unstable; urgency=low

  * modified my DEBEMAIL
  * modified debian/watch to fit Googlecode's changes
  * bumped Standards-Version to 3.9.3
  * upgraded to the newest upstream version. Closes:#585334; Closes:#635364
  * created debian/test-summary.txt, the test suite took half an hour.
    presumabily Closes:#606528
  * removed README from debian/docs, added debian/test-summary.txt

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Jan 2013 15:35:52 +0100

sympy (0.7.1.rc1-3) unstable; urgency=low

  * applied Jakub Wilk's patch. Closes: #592563.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 01 Jul 2012 11:52:17 +0200

sympy (0.7.1.rc1-2) unstable; urgency=low

  * added packages texlive-fonts-extra and dvipng to Recommends:
    LP: #742658

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 11 Dec 2011 20:03:06 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ondrej Certik <ondrej@certik.cz>,
- Georges Khaznadar <georgesk@ofset.org>
+ Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-all (>=2.6.6-3), python-setuptools (>= 0.6b3)
 X-Python-Version: >=2.5
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/sympy/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/sympy/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/sympy/trunk/
@@ -15,7 +15,8 @@
 Package: python-sympy
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
-Recommends: python-imaging, python-ctypes, ipython, python-numpy
+Recommends: python-imaging, python-ctypes, ipython, python-numpy,
+ texlive-fonts-extra, dvipng
 Description: Computer Algebra System (CAS) in Python
  SymPy is a Python library for symbolic mathematics (manipulation). It aims to
  become a full-featured computer algebra system (CAS) while keeping the code as

=== debian/watch ===
version=3
http://code.google.com/p/sympy/downloads/list \
//sympy.googlecode.com/files/sympy-(\d[.\d]+)\.tar\.gz

## sympy 0.7.4.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#
PYTHON       = python
RST2HTML     = rst2html

# You can set these variables from the command line.
SPHINXOPTS   =
SPHINXVER    = 0.5
SPHINXBUILD  = PYTHONPATH=..:$(PYTHONPATH) sphinx-build
PAPER        =

SVGFILES = $(wildcard src/modules/physics/mechanics/*.svg)
PDFFILES = $(SVGFILES:%.svg=%.pdf)

ALLSPHINXOPTS = -d _build/doctrees $(SPHINXOPTS) src
ALLSPHINXOPTSapi = -d _build/doctrees-api $(SPHINXOPTS) api
ALLSPHINXOPTSlatex = -d _build/doctrees-latex -D latex_paper_size=$(PAPER) \
                $(SPHINXOPTS) src

.PHONY: changes cheatsheet clean help html html-errors \
        htmlapi htmlhelp info latex linkcheck livehtml \
        texinfo web

.SUFFIXES: .pdf .svg

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  changes     to make an overview over all changed/added/deprecated items"
	@echo "  cheatsheet  to make the Cheatsheet"
	@echo "  clean       to remove generated files"
	@echo "  html        to make standalone HTML files"
	@echo "  html-errors to make the standalone HTML files, stopping on any errors or warnings"
	@echo "  htmlapi     to make HTML API docs"
	@echo "  htmlhelp    to make HTML files and a HTML help project"
	@echo "  info        to make Texinfo files and run them through makeinfo"
	@echo "  latex       to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  linkcheck   to check all external links for integrity"
	@echo "  livehtml    to use livereload to view the built html"
	@echo "  texinfo     to make Texinfo files"
	@echo "  web         to make files usable by Sphinx.web"

clean:
	-rm -rf _build
	-rm -rf sphinx
	-rm -f $(PDFFILES)

html:
	mkdir -p src/.static
	mkdir -p _build/html
	mkdir -p _build/doctrees
	mkdir -p src/modules
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	cp -r src/pics _build/html/
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

html-errors: SPHINXOPTS += -W
html-errors: html

htmlapi:
	mkdir -p api/.static
	mkdir -p api/modules
	mkdir -p _build/api _build/doctreesapi
	rm -f api/modules/sympy*.rst
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTSapi) _build/api
	@echo
	@echo "Build finished. The API docs pages are in _build/api."

web:
	mkdir -p _build/web _build/doctrees
	$(SPHINXBUILD) -b web $(ALLSPHINXOPTS) _build/web
	@echo
	@echo "Build finished; now you can run"
	@echo "  python -m sphinx.web _build/web"
	@echo "to start the server."

htmlhelp:
	mkdir -p _build/htmlhelp _build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

latex: $(PDFFILES)
	mkdir -p _build/latex _build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTSlatex) _build/latex
	sed -i "s/pdflatex/xelatex/g" _build/latex/Makefile
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all' in that directory to run these through xelatex."

.svg.pdf:
	inkscape --file=$< --export-area-drawing --without-gui --export-pdf=$@

changes:
	mkdir -p _build/changes _build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	mkdir -p _build/linkcheck _build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

livehtml:
	livereload -b _build/html

cheatsheet: _build/cheatsheet/cheatsheet.pdf

_build/cheatsheet/cheatsheet.pdf: cheatsheet/cheatsheet.tex
	mkdir -p _build/cheatsheet
	pdflatex -output-directory=_build/cheatsheet cheatsheet/cheatsheet.tex
	pdflatex -output-directory=_build/cheatsheet cheatsheet/cheatsheet.tex

texinfo:
	mkdir -p _build/texinfo
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) _build/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in _build/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	mkdir -p _build/texinfo
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) _build/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C _build/texinfo info
	@echo "makeinfo finished; the Info files are in _build/texinfo."

=== debian/changelog ===
sympy (0.7.4.1-1) unstable; urgency=medium

  * updated the watch file and created a script to download and adjust the
    newest source package
  * upgraded to the newest upstream version. Closes: #727133
  * upgraded Standards-Version to 3.9.5
  * updated the homepage location (now on github.com)
  * removed the VCS fieds from debian/control. Closes: #718370
    - declared myself as maintainer;
    - removed the XS-DM-Upload-Allowed field.
  * removed the X-Python-Version field, since Python 2.5 has disappeared
    from current Debian distributions.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 05 Jan 2014 17:47:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,10 @@
 Source: sympy
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Ondrej Certik <ondrej@certik.cz>,
- Georges Khaznadar <georgesk@debian.org>
+Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-all (>=2.6.6-3), python-setuptools (>= 0.6b3)
-X-Python-Version: >=2.5
-Standards-Version: 3.9.3
-Homepage: http://code.google.com/p/sympy/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/sympy/trunk
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/sympy/trunk/
-XS-DM-Upload-Allowed: yes
+Standards-Version: 3.9.5
+Homepage: https://github.com/sympy/sympy
 
 Package: python-sympy
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@ --with python2

MPMATHDIR = sympy/mpmath
override_dh_clean:
	dh_clean
	for f in torture.py extratest_gamma.py; do \
	  rm -f $(MPMATHDIR)/tests/$$f; \
	done
	rm -f $(MPMATHDIR)/libmp/exec_py3.py

## sympy 0.7.5

=== doc/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 SPHINXBUILD  = PYTHONPATH=..:$(PYTHONPATH) sphinx-build
 PAPER        =
 
-SVGFILES = $(wildcard src/modules/physics/mechanics/*.svg)
+SVGFILES = $(wildcard src/modules/physics/vector/*.svg) $(wildcard src/modules/physics/mechanics/*.svg)
 PDFFILES = $(SVGFILES:%.svg=%.pdf)
 
 ALLSPHINXOPTS = -d _build/doctrees $(SPHINXOPTS) src
@@ -19,7 +19,7 @@
 
 .PHONY: changes cheatsheet clean help html html-errors \
         htmlapi htmlhelp info latex linkcheck livehtml \
-        texinfo web
+        texinfo web logo
 
 .SUFFIXES: .pdf .svg
 
@@ -38,13 +38,14 @@
 	@echo "  livehtml    to use livereload to view the built html"
 	@echo "  texinfo     to make Texinfo files"
 	@echo "  web         to make files usable by Sphinx.web"
+	@echo "  logo        generate logos from src/logo/sympy.svg"
 
 clean:
 	-rm -rf _build
 	-rm -rf sphinx
 	-rm -f $(PDFFILES)
 
-html:
+html: _build/logo/sympy-notailtext-favicon.ico
 	mkdir -p src/.static
 	mkdir -p _build/html
 	mkdir -p _build/doctrees
@@ -129,3 +130,12 @@
 	@echo "Running Texinfo files through makeinfo..."
 	make -C _build/texinfo info
 	@echo "makeinfo finished; the Info files are in _build/texinfo."
+
+_build/logo/sympy-notailtext-favicon.ico: logo
+
+logo: src/logo/sympy.svg
+	rm -rf _build/logo
+	mkdir -p _build/logo
+	$(PYTHON) ./generate_logos.py -d
+	@echo
+	@echo "Logo generated."

=== debian/changelog ===
sympy (0.7.5-4) unstable; urgency=medium

  [ Sergey B Kirpichev ]
  * upgraded Standards-Version to 3.9.6
  * Removed debian/docs and related files
  * Build documentation package (Closes: #641471)
  * Remove python-setuptools from Build-Depends
  * Build sympy package for python3 (Closes: #748730)
  * Make isympy package
  * Added Vcs-* fields
  * Correct Recommends field for py3 package
  * Fix Recommends field for py2 package
  * Add lintian overrides for --pedantic warnings
  * Adopt dep5 copyright format
  * Fix isympy binary (sha-bang with default python)
  * Move the package under the Debian Science team umbrella
  * Bump-up debhelper compat level to 9

  [ Georges Khaznadar ]
  * added myself as uploader
  * added a build-dependency: graphviz, wich allows the build process
    to make a better documentation
  * declared that isympy Conflicts: python-sympy (<< 0.7.5-4) because
    it provides the man file for isympy, which was part of the package
    python-sympy formerly.

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 27 Oct 2014 02:55:15 +0300

sympy (0.7.5-3) unstable; urgency=medium

  * Unbundle mpmath (Closes: #541746)
  * Recommend: python-pyglet (Closes: #459716)
  * Add myself to Uploaders
  * Fix I:hyphen-used-as-minus-sign lintian errors
  * Fix Homepage

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 30 Sep 2014 14:37:22 +0400

sympy (0.7.5-2) unstable; urgency=medium

  * applied Sergey B Kirpichev's patch. Closes: #730975

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 06 Mar 2014 02:12:04 +0100

sympy (0.7.5-1) unstable; urgency=medium

  * upgraded to the newest upstream version
  * changed d/python-sympy.install to fit the new logo's png location

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 06 Mar 2014 01:33:23 +0100

=== debian/control ===
Source: sympy
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sergey B Kirpichev <skirpichev@gmail.com>,
	   Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 9),
 dh-python,
 python-all (>=2.6.6-3),
 python3-all (>= 3.1.3-3),
 python-mpmath,
 python-sphinx,
 texlive-latex-recommended,
 dvipng,
 librsvg2-bin,
 imagemagick,
 texlive-xetex,
 inkscape,
 texlive-fonts-recommended,
 lmodern,
 texlive-latex-extra,
 graphviz
Standards-Version: 3.9.6
Homepage: http://sympy.org/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/sympy.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/sympy.git;a=summary

Package: isympy
Architecture: all
Depends: ${python:Depends} | ${python3:Depends}, ${misc:Depends}
Recommends: ipython | ipython3
Conflicts: python-sympy (<< 0.7.5-4)
Description: Python shell for SymPy
 SymPy is a Python library for symbolic mathematics (manipulation). It aims to
 become a full-featured computer algebra system (CAS) while keeping the code as
 simple as possible in order to be comprehensible and easily extensible. SymPy
 is written entirely in Python and does not require any external libraries,
 except optionally for plotting support.
 .
 This package contains a Python shell (IPython shell if you have the
 IPython package installed) wrapper for SymPy.

Package: python-sympy
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-mpmath, isympy
Recommends: python-imaging, python-ctypes, ipython, python-numpy,
 texlive-fonts-extra, dvipng, python-pyglet, python-gmpy
Conflicts: python-gmpy2
Description: Computer Algebra System (CAS) in Python
 SymPy is a Python library for symbolic mathematics (manipulation). It aims to
 become a full-featured computer algebra system (CAS) while keeping the code as
 simple as possible in order to be comprehensible and easily extensible. SymPy
 is written entirely in Python and does not require any external libraries,
 except optionally for plotting support.

Package: python3-sympy
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-mpmath, isympy
Recommends: python3-pil, ipython3, python3-numpy,
 texlive-fonts-extra, dvipng
Description: Computer Algebra System (CAS) in Python (Python3)
 SymPy is a Python library for symbolic mathematics (manipulation). It aims to
 become a full-featured computer algebra system (CAS) while keeping the code as
 simple as possible in order to be comprehensible and easily extensible. SymPy
 is written entirely in Python and does not require any external libraries,
 except optionally for plotting support.
 .
 This package contains the Python 3 version of sympy.

Package: python-sympy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: python-sympy
Description: Computer Algebra System (CAS) in Python - Documentation
 SymPy is a Python library for symbolic mathematics (manipulation). It aims to
 become a full-featured computer algebra system (CAS) while keeping the code as
 simple as possible in order to be comprehensible and easily extensible. SymPy
 is written entirely in Python and does not require any external libraries,
 except optionally for plotting support.
 .
 This package contains the documentation for sympy Python module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR_python2=debian/python-sympy/
export PYBUILD_DESTDIR_python3=debian/python3-sympy/

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	(cd doc/; make latex; cd _build/latex; make)

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/isympy/usr/bin
	mv debian/python-sympy/usr/bin/isympy debian/isympy/usr/bin/
	mkdir -p debian/isympy/usr/share/man/man1
	mv debian/python3-sympy/usr/share/man/man1/* \
		debian/isympy/usr/share/man/man1/
	rm -rf debian/python*-sympy/usr/bin/
	rm -rf debian/python*-sympy/usr/share/man/
	mkdir -p debian/python-sympy-doc/usr/share/doc/python-sympy-doc
	cp -arp doc/_build/latex/sympy*.pdf \
		debian/python-sympy-doc/usr/share/doc/python-sympy-doc/sympy.pdf

override_dh_auto_clean:
	dh_auto_clean
	(cd doc/; make clean)

override_dh_auto_test:

## sympy 0.7.6

=== debian/changelog ===
sympy (0.7.6-3) unstable; urgency=medium

  * Refresh patch 02 with quilt refresh -pab
    --no-index --no-timestamps --diffstat
  * Properly remove remaining mpmath's files
  * Try to fix latex problem with reproducible builds
  * Use "Breaks: python-sympy" instead of Conflicts

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Wed, 15 Jul 2015 14:30:45 +0300

sympy (0.7.6-2) experimental; urgency=medium

  * fixed a copyright issue regarding static files embedded by Sphinx

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 11 Mar 2015 17:32:16 +0100

sympy (0.7.6-1) experimental; urgency=medium

  * upgraded to the new upstream version
  * added a line in debian/rules to remove embedded mpmath files
  * refreshed debian patches
  * upgraded Standards-Version to 3.9.7

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 06 Mar 2015 16:29:20 +0100

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,9 @@
  texlive-fonts-recommended,
  lmodern,
  texlive-latex-extra,
- graphviz
-Standards-Version: 3.9.6
+ graphviz,
+ faketime
+Standards-Version: 3.9.7
 Homepage: http://sympy.org/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/sympy.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/sympy.git;a=summary
@@ -29,7 +30,7 @@
 Architecture: all
 Depends: ${python:Depends} | ${python3:Depends}, ${misc:Depends}
 Recommends: ipython | ipython3
-Conflicts: python-sympy (<< 0.7.5-4)
+Breaks: python-sympy (<< 0.7.5-4)
 Description: Python shell for SymPy
  SymPy is a Python library for symbolic mathematics (manipulation). It aims to
  become a full-featured computer algebra system (CAS) while keeping the code as

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,8 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	(cd doc/; make latex; cd _build/latex; make)
+	faketime "`dpkg-parsechangelog -S date`" \
+		sh -c '(cd doc/; make latex; cd _build/latex; make)'
 
 override_dh_auto_install:
 	dh_auto_install
@@ -25,6 +26,9 @@
 	mkdir -p debian/python-sympy-doc/usr/share/doc/python-sympy-doc
 	cp -arp doc/_build/latex/sympy*.pdf \
 		debian/python-sympy-doc/usr/share/doc/python-sympy-doc/sympy.pdf
+	# Get rid of embedded mpmath.  Unfortunately, we
+	# can't remove all files with quilt (empty files, for example).
+	rm -rf debian/python*-sympy/usr/lib/python*/dist-packages/sympy/mpmath/
 
 override_dh_auto_clean:
 	dh_auto_clean

## sympy 0.7.6.1

=== doc/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 SPHINXBUILD  = PYTHONPATH=..:$(PYTHONPATH) sphinx-build
 PAPER        =
 
-SVGFILES = $(wildcard src/modules/physics/vector/*.svg) $(wildcard src/modules/physics/mechanics/*.svg)
+SVGFILES = $(wildcard src/modules/physics/vector/*.svg) $(wildcard src/modules/physics/mechanics/examples/*.svg)
 PDFFILES = $(SVGFILES:%.svg=%.pdf)
 
 ALLSPHINXOPTS = -d _build/doctrees $(SPHINXOPTS) src
@@ -19,7 +19,7 @@
 
 .PHONY: changes cheatsheet clean help html html-errors \
         htmlapi htmlhelp info latex linkcheck livehtml \
-        texinfo web logo
+        texinfo web logo man
 
 .SUFFIXES: .pdf .svg
 
@@ -39,6 +39,7 @@
 	@echo "  texinfo     to make Texinfo files"
 	@echo "  web         to make files usable by Sphinx.web"
 	@echo "  logo        generate logos from src/logo/sympy.svg"
+	@echo "  man         build manpage"
 
 clean:
 	-rm -rf _build
@@ -107,14 +108,19 @@
 	      "or in _build/linkcheck/output.txt."
 
 livehtml:
-	livereload -b _build/html
+	livereload _build/html
 
-cheatsheet: _build/cheatsheet/cheatsheet.pdf
+cheatsheet: _build/cheatsheet/cheatsheet.pdf _build/cheatsheet/combinatoric_cheatsheet.pdf
 
 _build/cheatsheet/cheatsheet.pdf: cheatsheet/cheatsheet.tex
 	mkdir -p _build/cheatsheet
 	pdflatex -output-directory=_build/cheatsheet cheatsheet/cheatsheet.tex
 	pdflatex -output-directory=_build/cheatsheet cheatsheet/cheatsheet.tex
+
+_build/cheatsheet/cheatsheet.pdf: cheatsheet/combinatoric_cheatsheet.tex
+	mkdir -p _build/cheatsheet
+	pdflatex -output-directory=_build/cheatsheet cheatsheet/combinatoric_cheatsheet.tex
+	pdflatex -output-directory=_build/cheatsheet cheatsheet/combinatoric_cheatsheet.tex
 
 texinfo:
 	mkdir -p _build/texinfo
@@ -131,6 +137,9 @@
 	make -C _build/texinfo info
 	@echo "makeinfo finished; the Info files are in _build/texinfo."
 
+man: man/isympy.xml
+	docbook2x-man --to-stdout $< > man/isympy.1
+
 _build/logo/sympy-notailtext-favicon.ico: logo
 
 logo: src/logo/sympy.svg

=== debian/changelog ===
sympy (0.7.6.1-1) unstable; urgency=medium

  [ georgesk ]
  * Imported Upstream version 0.7.6.1

  [ Georges Khaznadar ]
  * Changed the way the documentation is built: the output is now
    HTML files. Fixed a bug in Sphinx configuration.
    Closes:  #809596
  * Added recommends stances for python-sympy-doc. Closes: #807181

 -- georgesk <georgesk@debian.org>  Sat, 02 Jan 2016 16:42:27 +0100

sympy (0.7.6-4) unstable; urgency=medium

  * Remove myself from uploaders

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 16 Nov 2015 01:27:12 +0300

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,13 @@
 Section: python
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Sergey B Kirpichev <skirpichev@gmail.com>,
-	   Georges Khaznadar <georgesk@debian.org>
+Uploaders: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 9),
- dh-python,
- python-all (>=2.6.6-3),
- python3-all (>= 3.1.3-3),
- python-mpmath,
- python-sphinx,
- texlive-latex-recommended,
- dvipng,
- librsvg2-bin,
- imagemagick,
- texlive-xetex,
- inkscape,
- texlive-fonts-recommended,
- lmodern,
- texlive-latex-extra,
- graphviz,
+ dh-python, python-all (>=2.6.6-3), python3-all (>= 3.1.3-3),
+ python-mpmath, python-sphinx, python-sphinxcontrib.blockdiag,
+ librsvg2-bin, imagemagick, inkscape, graphviz, dvipng,
  faketime
-Standards-Version: 3.9.7
+Standards-Version: 3.9.6
 Homepage: http://sympy.org/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/sympy.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/sympy.git;a=summary
@@ -45,7 +32,7 @@
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-mpmath, isympy
 Recommends: python-imaging, python-ctypes, ipython, python-numpy,
- texlive-fonts-extra, dvipng, python-pyglet, python-gmpy
+ texlive-fonts-extra, dvipng, python-pyglet, python-gmpy, python-sympy-doc
 Conflicts: python-gmpy2
 Description: Computer Algebra System (CAS) in Python
  SymPy is a Python library for symbolic mathematics (manipulation). It aims to
@@ -58,7 +45,7 @@
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3-mpmath, isympy
 Recommends: python3-pil, ipython3, python3-numpy,
- texlive-fonts-extra, dvipng
+ texlive-fonts-extra, dvipng, python-sympy-doc
 Description: Computer Algebra System (CAS) in Python (Python3)
  SymPy is a Python library for symbolic mathematics (manipulation). It aims to
  become a full-featured computer algebra system (CAS) while keeping the code as

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 override_dh_auto_build:
 	dh_auto_build
 	faketime "`dpkg-parsechangelog -S date`" \
-		sh -c '(cd doc/; make latex; cd _build/latex; make)'
+		sh -c '(cd doc/; make html)'
 
 override_dh_auto_install:
 	dh_auto_install
@@ -24,8 +24,8 @@
 	rm -rf debian/python*-sympy/usr/bin/
 	rm -rf debian/python*-sympy/usr/share/man/
 	mkdir -p debian/python-sympy-doc/usr/share/doc/python-sympy-doc
-	cp -arp doc/_build/latex/sympy*.pdf \
-		debian/python-sympy-doc/usr/share/doc/python-sympy-doc/sympy.pdf
+	cp -arp doc/_build/html \
+		debian/python-sympy-doc/usr/share/doc/python-sympy-doc/
 	# Get rid of embedded mpmath.  Unfortunately, we
 	# can't remove all files with quilt (empty files, for example).
 	rm -rf debian/python*-sympy/usr/lib/python*/dist-packages/sympy/mpmath/

=== debian/watch ===
version=3

https://github.com/sympy/sympy/tags \
   /sympy/sympy/archive/sympy-([.0-9]+)\.tar\.gz \
   debian /bin/sh debian/get_newest_source.sh
